Hassbian installation failure on pi zero


#1

I have been trying to install hassbian for 2 days now, but i still come out empty:

hardware:
-pi Zero with a wifi connection on usb data port
-hdmi connection to monitor
-power supply

software:

-hassbian image 1.5.0

process:

-format sd card

-flash via etcher

-add wpa_supplicat.conf to boot partition

-connect pi to monitor and insert sd card to pi and power it up

-ssh into pi

-enter user pi and password raspberry

I then get the screen below
image

from there nothing happens, I try:

image

still not much happens, then I execute:

image

and I get

I have been looping though this process since friday trying different tips from different blogs but I still do not have: http://hassbian:8123 firing, no after the first boot, and not after trying various tips, good thing is I can SSH to the pi, please assist, I’m at the end of my tether. :woozy_face::woozy_face::woozy_face:


#2

Run sudo hassbian-config install homeassistant --force


#3

Also I don’t use Hassbian try this:

good luck

honikos


#4

Pi zero has no network port, works via wifi port, will try to boot it without monitor after flashing the SD card again, if it does not work I will also run @ludeeus force install suggestion above.


#5

Thanks, It starts downloading packages, but stops halfway, I get the following:

[email protected]:~ $ sudo hassbian-config install homeassistant --force
Home Assistant install script for Hassbian.
Copyright(c) 2017 Fredrik Lindqvist <https://github.com/Landrash>.

Changing to the homeassistant user
Creating Home Assistant venv
Changing to Home Assistant venv
Installing latest version of Home Assistant
Requirement already satisfied: setuptools in /srv/homeassistant/lib/python3.5/si                                                                                        te-packages
Collecting wheel
  Downloading https://files.pythonhosted.org/packages/ff/47/1dfa4795e24fd6f93d5d                                                                                        58602dd716c3f101cfd5a77cd9acbe519b44a0a9/wheel-0.32.3-py2.py3-none-any.whl
Installing collected packages: wheel
Successfully installed wheel-0.32.3
Collecting homeassistant
  Downloading https://files.pythonhosted.org/packages/f7/cd/c40a195dc47f7894bd4e                                                                                        e88c466229760afbc6269680041a9b064a65302a/homeassistant-0.84.6-py3-none-any.whl (                                                                                        3.5MB)
Collecting cryptography==2.3.1 (from homeassistant)
  Downloading https://www.piwheels.org/simple/cryptography/cryptography-2.3.1-cp                                                                                        35-cp35m-linux_armv6l.whl (820kB)
Collecting astral==1.7.1 (from homeassistant)
  Downloading https://files.pythonhosted.org/packages/bb/0c/25701e9afad088d98738                                                                                        89fba0c45b0fbf8097c7e2ecf8d9b40a71985124/astral-1.7.1-py2.py3-none-any.whl
Collecting PyJWT==1.6.4 (from homeassistant)
  Downloading https://files.pythonhosted.org/packages/93/d1/3378cc8184a6524dc929                                                                                        93090ee8b4c03847c567e298305d6cf86987e005/PyJWT-1.6.4-py2.py3-none-any.whl
Collecting voluptuous-serialize==2.0.0 (from homeassistant)
  Downloading https://www.piwheels.org/simple/voluptuous-serialize/voluptuous_se                                                                                        rialize-2.0.0-py3-none-any.whl
Collecting bcrypt==3.1.4 (from homeassistant)
Exception:
Traceback (most recent call last):
  File "/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.w                                                                                        hl/urllib3/connectionpool.py", line 594, in urlopen
    chunked=chunked)
  File "/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.w                                                                                        hl/urllib3/connectionpool.py", line 391, in _make_request
    six.raise_from(e, None)
  File "<string>", line 2, in raise_from
  File "/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.w                                                                                        hl/urllib3/connectionpool.py", line 387, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.5/http/client.py", line 1198, in getresponse
    response.begin()
  File "/usr/lib/python3.5/http/client.py", line 297, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.5/http/client.py", line 266, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/homeassistant/lib/python3.5/site-packages/pip/basecommand.py", line                                                                                         215, in main
    status = self.run(options, args)
  File "/srv/homeassistant/lib/python3.5/site-packages/pip/commands/install.py",                                                                                         line 353, in run
    wb.build(autobuilding=True)
  File "/srv/homeassistant/lib/python3.5/site-packages/pip/wheel.py", line 749,                                                                                         in build
    self.requirement_set.prepare_files(self.finder)
  File "/srv/homeassistant/lib/python3.5/site-packages/pip/req/req_set.py", line                                                                                         380, in prepare_files
    ignore_dependencies=self.ignore_dependencies))
  File "/srv/homeassistant/lib/python3.5/site-packages/pip/req/req_set.py", line                                                                                         554, in _prepare_file
    require_hashes
  File "/srv/homeassistant/lib/python3.5/site-packages/pip/req/req_install.py",                                                                                         line 278, in populate_link
    self.link = finder.find_requirement(self, upgrade)
  File "/srv/homeassistant/lib/python3.5/site-packages/pip/index.py", line 465,                                                                                         in find_requirement
    all_candidates = self.find_all_candidates(req.name)
  File "/srv/homeassistant/lib/python3.5/site-packages/pip/index.py", line 423,                                                                                         in find_all_candidates
    for page in self._get_pages(url_locations, project_name):
  File "/srv/homeassistant/lib/python3.5/site-packages/pip/index.py", line 568,                                                                                         in _get_pages
    page = self._get_page(location)
  File "/srv/homeassistant/lib/python3.5/site-packages/pip/index.py", line 683,                                                                                         in _get_page
    return HTMLPage.get_page(link, session=self.session)
  File "/srv/homeassistant/lib/python3.5/site-packages/pip/index.py", line 792,                                                                                         in get_page
    "Cache-Control": "max-age=600",
  File "/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.                                                                                        whl/requests/sessions.py", line 501, in get
    return self.request('GET', url, **kwargs)
  File "/srv/homeassistant/lib/python3.5/site-packages/pip/download.py", line 38                                                                                        6, in request
    return super(PipSession, self).request(method, url, *args, **kwargs)
  File "/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.                                                                                        whl/requests/sessions.py", line 488, in request
    resp = self.send(prep, **send_kwargs)
  File "/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.                                                                                        whl/requests/sessions.py", line 609, in send
    r = adapter.send(request, **kwargs)
  File "/srv/homeassistant/share/python-wheels/CacheControl-0.11.7-py2.py3-none-                                                                                        any.whl/cachecontrol/adapter.py", line 47, in send
    resp = super(CacheControlAdapter, self).send(request, **kw)
  File "/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.                                                                                        whl/requests/adapters.py", line 423, in send
    timeout=timeout
  File "/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.w                                                                                        hl/urllib3/connectionpool.py", line 643, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.w                                                                                        hl/urllib3/util/retry.py", line 315, in increment
    total -= 1
TypeError: unsupported operand type(s) for -=: 'Retry' and 'int'
Deactivating virtualenv
Enabling Home Assistant service
Created symlink /etc/systemd/system/multi-user.target.wants/[email protected]                                                                                        ssistant.service → /etc/systemd/system/[email protected]
Disabling the Home Assistant install script
Removed /etc/systemd/system/multi-user.target.wants/install_homeassistant.servic                                                                                        e.
Starting Home Assistant
Checking the installation...

Installation failed...

If you have issues with this script, please say something in the #devs_hassbian                                                                                         channel on Discord.

#6

@ludeeus it finally worked, I had to force install as per the command you gave me three times, so for the benefit of everyone, here are the steps.

1.I flashed hassbian 1.5.0 as per https://www.home-assistant.io/docs/installation/hassbian/installation/ (not forgetting to place the wpa_supplicant.conf file in the boot partition of the newly flashed sd card)
2. Booted rpi zero headless
3. SSH to rpi zero via putty after about 5 minutes
4. Tried to login to hassbian via 192.168.xx.xxx:8123 to no avail
5. I then ran sudo hassbian-config install homeassistant --force but it had errors, then I ran it again (x2) until it gave no errors and gave confirmation:

Your Home Assistant installation is running at 192.168.68.105:8123 or if preferred http://hassbian.local:8123
To continue have a look at https://home-assistant.io/getting-started/configuration/
  1. It still would not start so I manually launched it as per https://www.home-assistant.io/docs/installation/hassbian/common-tasks/
$ source /srv/homeassistant/bin/activate
$ hass ```
When i logged in via url it was working after this.